Subject: Re: bash, javac and that pesky slash.
From: Jeff Sturm <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "'Craig MacFarlane'" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 25 Jan 2000 13:03:11 -0500

Eric Feliu wrote:
> I use java and cygwin all the time, the thing you need to remember is that java for the
> windows environment was not written to use unix command line syntax. Your compile line
> should be :
> 
>           bash-2.02% javac -d "d:\destdir\classes" foo.java

An alternative is to write a "javac" shell script that converts the
CLASSPATH and arguments for you, then invokes the "real" javac.

That's what I did, so I would not have to convert dozens of Makefiles. 
I can also use either javac.exe or Microsoft's jvc.exe for compiling
without changing a single line in my project.

-- 
Jeff Sturm
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]